Package wx :: Package lib :: Package agw :: Module genericmessagedialog :: Class StdDialogButtonSizer

[frames | no frames]

## Type StdDialogButtonSizer

    object --+
             |
        Object --+
                 |
             Sizer --+
                     |
              BoxSizer --+
                         |
                        StdDialogButtonSizer

wxWidgets standard dialog button sizer.

Method Summary
| ``__init__`(self)` Default class constructor.
| ``AddButton`(self, mybutton)` Add a button to the sizer.
| ``Realize`(self)` Realizes the sizer depending on the Platform.
| ``SetAffirmativeButton`(self, button)` Sets the affirmative button.
| ``SetCancelButton`(self, button)` Sets the cancel button.
| ``SetNegativeButton`(self, button)` Sets the negative button.

Property Summary

Method Details

### __init__(self)
(Constructor)

Default class constructor.

  Overrides:
    `wx.BoxSizer.__init__`

### AddButton(self, mybutton)

Add a button to the sizer.

@param mybutton: the button to add.

### Realize(self)

Realizes the sizer depending on the Platform.

### SetAffirmativeButton(self, button)

Sets the affirmative button.

### SetCancelButton(self, button)

Sets the cancel button.

### SetNegativeButton(self, button)

Sets the negative button.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:09 2009 | http://epydoc.sf.net